# class REXML::Output

### Attributes

encoding[R]

### Public Class Methods

new(real_IO, encd="iso-8859-1") click to toggle source

    # File lib/rexml/output.rb, line 10
    def initialize real_IO, encd="iso-8859-1"
      @output = real_IO
      self.encoding = encd

      @to_utf = encoding != 'UTF-8'

      if encoding == "UTF-16"
        @output << "\ufeff".encode("UTF-16BE")
        self.encoding = "UTF-16BE"
      end
    end

### Public Instance Methods

<<( content ) click to toggle source

    # File lib/rexml/output.rb, line 22
    def <<( content )
      @output << (@to_utf ? self.encode(content) : content)
    end

to_s() click to toggle source

    # File lib/rexml/output.rb, line 26
    def to_s
      "Output[#{encoding}]"
    end